Loading...
Searching...
No Matches
ENetEvent Struct Reference

An ENet event as returned by enet_host_service(). More...

`#include <enet.h>`

## Data Fields

enet_uint8 | channelID
| channel on the peer that generated the event, if appropriate
enet_uint32 | data
| data associated with the event, if appropriate
ENetPacket * | packet
| packet associated with the event, if appropriate
ENetPeer * | peer
| peer that generated a connect, disconnect or receive event
ENetEventType | type
| type of the event

## Detailed Description

An ENet event as returned by enet_host_service().

See also
  enet_host_service

## Field Documentation

## channelID

enet_uint8 ENetEvent::channelID

channel on the peer that generated the event, if appropriate

## data

enet_uint32 ENetEvent::data

data associated with the event, if appropriate

## packet

ENetPacket* ENetEvent::packet

packet associated with the event, if appropriate

## peer

ENetPeer* ENetEvent::peer

peer that generated a connect, disconnect or receive event

## type

ENetEventType ENetEvent::type

type of the event

The documentation for this struct was generated from the following file:

- include/enet/enet.h